///////////////////////////////////////////////////////////////////
// Dialogue for Kivan
///////////////////////////////////////////////////////////////////
BEGIN MOKIVAN2

IF ~Global("mo_kivan_followup","GLOBAL",0)
AreaCheck("ar0300")~ THEN BEGIN 0
  SAY @7011 = @7012 = @7013
  IF ~~ THEN REPLY @7014 GOTO 2  // An evil mage named Irenicus had us imprisoned. Cloaked men attacked the mage's lair giving us a chance to break free and escape.
  IF ~~ THEN REPLY @7015 GOTO 2  // The memory of my imprisonment haunts me. I do not know what my captor was after, but we managed to get out of our holding cells and flee into the streets above.
  IF ~~ THEN REPLY @7016 GOTO 1  // I'd rather not talk about it. Not all of us made it out alive.
END

IF ~~ THEN BEGIN 1
  SAY @7017 
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2
  SAY @7018
  IF ~~ THEN REPLY @7019 GOTO 3  // Yes, I am eager to have you at my side again. I must warn you, the Cowled Wizards took Imoen and I intend to get her back.
  IF ~~ THEN REPLY @7020 GOTO 3  // Yes, I require your aid as I seek to kill the one who captured me. The mage Irenicus.
  IF ~~ THEN REPLY @7021 GOTO 4  // I appreciate you tracking those who captured me, but I have no need for you at this time.
  IF ~~ THEN REPLY @7022 GOTO 4  // Point your arrows elsewhere. I have no need for you.
END

IF ~~ THEN BEGIN 3
  SAY @7023
  IF ~~ THEN DO ~SetGlobal("mo_kivan_followup","GLOBAL",1)
  JoinParty()~ EXIT
END

IF ~~ THEN BEGIN 4
  SAY @7024
  IF ~~ THEN DO ~SetGlobal("mo_kivan_followup","GLOBAL",1)~ EXIT
END

IF ~Global("mo_kivan_followup","GLOBAL",1)
!InParty("Kivan")~ THEN BEGIN 5
  SAY @7027
  IF ~~ THEN REPLY @7007 GOTO 4 // I think we will fair better without your assistance.
  IF ~~ THEN REPLY @7008 GOTO 3 // Yes, we will be happy to have you join us.
END